Last Comment Bug 800524 - Privacy status "Google Default" (CLASS:DEFAULT) breaks display of privacy icon in calendar view
: Privacy status "Google Default" (CLASS:DEFAULT) breaks display of privacy ico...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Lightning 1.8
: All All
: -- normal with 1 vote (vote)
: 1.9
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 13:39 PDT by Stefan Sitter
Modified: 2012-10-15 18:43 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (6.25 KB, image/jpeg)
2012-10-11 13:39 PDT, Stefan Sitter
no flags Details
patch (929 bytes, patch)
2012-10-12 13:35 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
patch v2 (1.18 KB, patch)
2012-10-12 14:03 PDT, Richard Marti (:Paenglab)
ssitter: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-10-11 13:39:42 PDT
Created attachment 670517 [details]
screenshot

The privacy status "Google Default" (CLASS:DEFAULT) that is used by the Provider for Google Calendar extension breaks display of privacy icon in calendar view.

Both icons for "private" and "confidential" will be shown with incorrect size.

See attached screenshot.
Comment 1 Philipp Kewisch [:Fallen] 2012-10-12 12:26:01 PDT
Richard, do you think you could look into this one? We probably just need to set a default css rule for the privacy icon.
Comment 2 Richard Marti (:Paenglab) 2012-10-12 13:35:31 PDT
Created attachment 670933 [details] [diff] [review]
patch

Fixed it by adding the attribute classification="DEFAULT" to the rules.
Comment 3 Philipp Kewisch [:Fallen] 2012-10-12 13:46:40 PDT
Sorry if I wasn't clear enough. DEFAULT is not a real rfc state, its just what I used for Google to say it should use the default. I was rather thinking a patch that hides the icon if its not one of the values that deserves an icon.
Comment 4 Richard Marti (:Paenglab) 2012-10-12 14:03:10 PDT
Created attachment 670937 [details] [diff] [review]
patch v2

Okay, this patch hides the icon on every state except PRIVATE and CONFIDENTIAL. I let PUBLIC as it's own rule for later usage if needed (actually it hides also the icon).
Comment 5 Richard Marti (:Paenglab) 2012-10-14 10:03:40 PDT
Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/7a401d13af8f
Comment 6 Richard Marti (:Paenglab) 2012-10-14 10:05:15 PDT
Comment on attachment 670937 [details] [diff] [review]
patch v2

Should this go to aurora and beta to fix this issue as fast as possible?
Comment 7 Philipp Kewisch [:Fallen] 2012-10-14 12:04:59 PDT
Comment on attachment 670937 [details] [diff] [review]
patch v2

Yeah I think this is safe for beta and it would be nice to have this fixed for the ESR.
Comment 8 Richard Marti (:Paenglab) 2012-10-14 12:38:13 PDT
Pushed to comm-aurora: http://hg.mozilla.org/releases/comm-aurora/rev/fc47a61120e5
and comm-beta: http://hg.mozilla.org/releases/comm-beta/rev/ea5e36651e5e
Comment 9 David Rees 2012-10-15 06:35:01 PDT
It looks like this is being fixed in Lightning 1.9 which means Thunderbird 17? Is there anyway to patch around this in the Provider so we don't have to wait for Thunderbird 17 for a fix?
Comment 10 Richard Marti (:Paenglab) 2012-10-15 07:08:29 PDT
You could apply the changes directly on XPI file or in your profile. But if you are unsure how to do this it would be better to wait until the next version.

You could also say when you have this two squeezed icons then this means no privacy (not really elegant but as a workaround until the next version).
Comment 11 David Rees 2012-10-15 18:43:04 PDT
FYI, A user in this thread pointed out that since its a CSS change we can change it in userchrome.css with this while we wait for the next Lightning. 
.item-classification-box { 
display: none !important; 
} 

https://getsatisfaction.com/mozilla_messaging/topics/new_lightning_icon_on_network_calendar_events_is_a_design_flaw

Note You need to log in before you can comment on or make changes to this bug.